Security Enhanced Linux Reference Policy

# Layer: apps

## Module: thunderbird

Tunables Interfaces Templates

### Description:

Thunderbird email client.

### Tunables:

thunderbird_manage_all_user_content

##### Default value

false

##### Description

Grant the thunderbird domains manage rights on all user content

thunderbird_manage_generic_user_content

##### Default value

false

##### Description

Grant the thunderbird domains manage rights on generic user content

thunderbird_read_all_user_content

##### Default value

false

##### Description

Grant the thunderbird domains read access to all user content

thunderbird_read_generic_user_content

##### Default value

true

##### Description

Grant the thunderbird domains read access to generic user content

Return

### Interfaces:

thunderbird_domtrans( domain )

##### Summary

Execute thunderbird in the thunderbird domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return

### Templates:

thunderbird_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for thunderbird.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return